# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "amq-client"
  s.version = "1.0.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Jakub Stastny", "Michael S. Klishin", "Theo Hultberg", "Mark Abramov"]
  s.date = "2013-11-21"
  s.description = "amq-client is a fully-featured, low-level AMQP 0.9.1 client with pluggable networking I/O adapters (EventMachine, cool.io, Eventpanda and so on) and supposed to back more opinionated AMQP clients (such as amqp gem) or be used directly in cases when access to more advanced AMQP 0.9.1 features is more important that convenient APIs"
  s.email = ["stastny@101ideas.cz", "michael@novemberain.com"]
  s.extra_rdoc_files = ["README.textile"]
  s.files = [".gitignore", ".gitmodules", ".rspec", ".travis.yml", ".yardopts", "Gemfile", "LICENSE", "README.textile", "amq-client.gemspec", "bin/ci/before_build.sh", "bin/set_test_suite_realms_up.sh", "examples/coolio_adapter/basic_consume.rb", "examples/coolio_adapter/basic_consume_with_acknowledgements.rb", "examples/coolio_adapter/basic_consume_with_rejections.rb", "examples/coolio_adapter/basic_publish.rb", "examples/coolio_adapter/channel_close.rb", "examples/coolio_adapter/example_helper.rb", "examples/coolio_adapter/exchange_declare.rb", "examples/coolio_adapter/kitchen_sink1.rb", "examples/coolio_adapter/queue_bind.rb", "examples/coolio_adapter/queue_purge.rb", "examples/coolio_adapter/queue_unbind.rb", "examples/eventmachine_adapter/authentication/connection_open_failure_due_to_invalid_vhost.rb", "examples/eventmachine_adapter/authentication/plain_password_with_custom_role_credentials.rb", "examples/eventmachine_adapter/authentication/plain_password_with_default_role_credentials.rb", "examples/eventmachine_adapter/authentication/plain_password_with_incorrect_credentials_handled_with_a_callback.rb", "examples/eventmachine_adapter/authentication/plain_password_with_incorrect_credentials_handled_with_a_rescue_block.rb", "examples/eventmachine_adapter/basic_cancel.rb", "examples/eventmachine_adapter/basic_consume.rb", "examples/eventmachine_adapter/basic_consume_with_acknowledgements.rb", "examples/eventmachine_adapter/basic_consume_with_rejections.rb", "examples/eventmachine_adapter/basic_get.rb", "examples/eventmachine_adapter/basic_get_with_empty_queue.rb", "examples/eventmachine_adapter/basic_publish.rb", "examples/eventmachine_adapter/basic_qos.rb", "examples/eventmachine_adapter/basic_recover.rb", "examples/eventmachine_adapter/basic_return.rb", "examples/eventmachine_adapter/channel_close.rb", "examples/eventmachine_adapter/channel_flow.rb", "examples/eventmachine_adapter/channel_level_exception_handling.rb", "examples/eventmachine_adapter/error_handling/connection_failure_callback.rb", "examples/eventmachine_adapter/error_handling/connection_failure_exception.rb", "examples/eventmachine_adapter/error_handling/connection_loss_handler_that_fails_over.rb", "examples/eventmachine_adapter/error_handling/connection_loss_handler_with_automatic_recovery.rb", "examples/eventmachine_adapter/error_handling/connection_loss_handler_with_manual_recovery.rb", "examples/eventmachine_adapter/error_handling/handling_a_channel_level_exception.rb", "examples/eventmachine_adapter/example_helper.rb", "examples/eventmachine_adapter/exchange_declare.rb", "examples/eventmachine_adapter/extensions/rabbitmq/handling_confirm_select_ok.rb", "examples/eventmachine_adapter/extensions/rabbitmq/publisher_confirmations_with_transient_messages.rb", "examples/eventmachine_adapter/extensions/rabbitmq/publisher_confirmations_with_unroutable_message.rb", "examples/eventmachine_adapter/kitchen_sink1.rb", "examples/eventmachine_adapter/queue_bind.rb", "examples/eventmachine_adapter/queue_declare.rb", "examples/eventmachine_adapter/queue_purge.rb", "examples/eventmachine_adapter/queue_unbind.rb", "examples/eventmachine_adapter/server_capabilities.rb", "examples/eventmachine_adapter/tls/tls_without_peer_verification.rb", "examples/eventmachine_adapter/tx_commit.rb", "examples/eventmachine_adapter/tx_rollback.rb", "examples/eventmachine_adapter/tx_select.rb", "examples/tls_certificates/client/cert.pem", "examples/tls_certificates/client/key.pem", "examples/tls_certificates/client/keycert.p12", "examples/tls_certificates/client/req.pem", "examples/tls_certificates/server/cert.pem", "examples/tls_certificates/server/key.pem", "examples/tls_certificates/server/keycert.p12", "examples/tls_certificates/server/req.pem", "examples/tls_certificates/testca/cacert.cer", "examples/tls_certificates/testca/cacert.pem", "examples/tls_certificates/testca/certs/01.pem", "examples/tls_certificates/testca/certs/02.pem", "examples/tls_certificates/testca/index.txt", "examples/tls_certificates/testca/index.txt.attr", "examples/tls_certificates/testca/index.txt.attr.old", "examples/tls_certificates/testca/index.txt.old", "examples/tls_certificates/testca/openssl.cnf", "examples/tls_certificates/testca/private/cakey.pem", "examples/tls_certificates/testca/serial", "examples/tls_certificates/testca/serial.old", "irb.rb", "lib/amq/client.rb", "lib/amq/client/adapter.rb", "lib/amq/client/adapters/coolio.rb", "lib/amq/client/adapters/event_machine.rb", "lib/amq/client/async/adapter.rb", "lib/amq/client/async/adapters/coolio.rb", "lib/amq/client/async/adapters/event_machine.rb", "lib/amq/client/async/adapters/eventmachine.rb", "lib/amq/client/async/auth_mechanism_adapter.rb", "lib/amq/client/async/auth_mechanism_adapter/external.rb", "lib/amq/client/async/auth_mechanism_adapter/plain.rb", "lib/amq/client/async/callbacks.rb", "lib/amq/client/async/channel.rb", "lib/amq/client/async/consumer.rb", "lib/amq/client/async/entity.rb", "lib/amq/client/async/exchange.rb", "lib/amq/client/async/extensions/rabbitmq/basic.rb", "lib/amq/client/async/extensions/rabbitmq/cancel.rb", "lib/amq/client/async/extensions/rabbitmq/confirm.rb", "lib/amq/client/async/queue.rb", "lib/amq/client/callbacks.rb", "lib/amq/client/channel.rb", "lib/amq/client/consumer_tag_generator.rb", "lib/amq/client/entity.rb", "lib/amq/client/exceptions.rb", "lib/amq/client/exchange.rb", "lib/amq/client/extensions/rabbitmq.rb", "lib/amq/client/extensions/rabbitmq/basic.rb", "lib/amq/client/extensions/rabbitmq/cancel.rb", "lib/amq/client/extensions/rabbitmq/confirm.rb", "lib/amq/client/framing/io/frame.rb", "lib/amq/client/framing/string/frame.rb", "lib/amq/client/handlers_registry.rb", "lib/amq/client/logging.rb", "lib/amq/client/openable.rb", "lib/amq/client/queue.rb", "lib/amq/client/server_named_entity.rb", "lib/amq/client/settings.rb", "lib/amq/client/version.rb", "lib/amq/protocol/get_response.rb", "spec/benchmarks/adapters.rb", "spec/client/framing/io_frame_spec.rb", "spec/client/framing/string_frame_spec.rb", "spec/client/protocol/get_response_spec.rb", "spec/integration/coolio/basic_ack_spec.rb", "spec/integration/coolio/basic_cancel_spec.rb", "spec/integration/coolio/basic_consume_spec.rb", "spec/integration/coolio/basic_get_spec.rb", "spec/integration/coolio/basic_return_spec.rb", "spec/integration/coolio/channel_close_spec.rb", "spec/integration/coolio/channel_flow_spec.rb", "spec/integration/coolio/connection_close_spec.rb", "spec/integration/coolio/connection_start_spec.rb", "spec/integration/coolio/exchange_declare_spec.rb", "spec/integration/coolio/spec_helper.rb", "spec/integration/coolio/tx_commit_spec.rb", "spec/integration/coolio/tx_rollback_spec.rb", "spec/integration/eventmachine/basic_ack_spec.rb", "spec/integration/eventmachine/basic_cancel_spec.rb", "spec/integration/eventmachine/basic_consume_spec.rb", "spec/integration/eventmachine/basic_get_spec.rb", "spec/integration/eventmachine/basic_return_spec.rb", "spec/integration/eventmachine/channel_close_spec.rb", "spec/integration/eventmachine/channel_flow_spec.rb", "spec/integration/eventmachine/connection_close_spec.rb", "spec/integration/eventmachine/connection_start_spec.rb", "spec/integration/eventmachine/consumer_cancellation_notification_spec.rb", "spec/integration/eventmachine/exchange_declare_spec.rb", "spec/integration/eventmachine/queue_declare_spec.rb", "spec/integration/eventmachine/regressions/amqp_gem_issue66_spec.rb", "spec/integration/eventmachine/spec_helper.rb", "spec/integration/eventmachine/tx_commit_spec.rb", "spec/integration/eventmachine/tx_rollback_spec.rb", "spec/regression/bad_frame_slicing_in_adapters_spec.rb", "spec/spec_helper.rb", "spec/unit/client/adapter_spec.rb", "spec/unit/client/entity_spec.rb", "spec/unit/client/logging_spec.rb", "spec/unit/client/mixins/status_spec.rb", "spec/unit/client/settings_spec.rb", "spec/unit/client_spec.rb", "tasks.rb"]
  s.homepage = "http://github.com/ruby-amqp/amq-client"
  s.require_paths = ["lib"]
  s.rubyforge_project = "amq-client"
  s.rubygems_version = "1.8.23"
  s.summary = "amq-client is a fully-featured, low-level AMQP 0.9.1 client"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<eventmachine>, [">= 0"])
      s.add_runtime_dependency(%q<amq-protocol>, [">= 1.9.0"])
    else
      s.add_dependency(%q<eventmachine>, [">= 0"])
      s.add_dependency(%q<amq-protocol>, [">= 1.9.0"])
    end
  else
    s.add_dependency(%q<eventmachine>, [">= 0"])
    s.add_dependency(%q<amq-protocol>, [">= 1.9.0"])
  end
end
